Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589461 - savevm function can not use in qemu monitor
Summary: savevm function can not use in qemu monitor
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 08:30 UTC by Mike Cao
Modified: 2013-01-09 22:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-07 09:29:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Cao 2010-05-06 08:30:34 UTC
Description of problem:
savevm  function can not use in qemu

Version-Release number of selected component (if applicable):
# uname -r
2.6.32-23.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.48.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start VM.
2.in the qemu monitor ,use savevm command,eg: savevm vm1
3.in the qemu monitor input # info snapshot

  
Actual results:
after step2,It prompts "Error while creating snapshot on 'virtio0' in the qemu monitor.
after step3,It prompts following messages in the qemu monitor
Snapshot devices: virtio0
bdrv_snapshot_list: error -95

Expected results:
snapshot can be saved successfully.

Additional info:

Comment 2 RHEL Product and Program Management 2010-05-06 09:35:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Markus Armbruster 2010-06-05 06:30:17 UTC
I suspect your snapshot device is not snapshot-capable.  Please give me your complete qemu invocation.

Comment 4 Mike Cao 2010-06-07 07:15:02 UTC
(In reply to comment #3)
> I suspect your snapshot device is not snapshot-capable.  Please give me your
> complete qemu invocation.    

CLI:/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=/home/win7_64,if=virtio,format=raw,boot=on -net nic,macaddr=20:40:50:12:23:21,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid a2618d4c-21f0-4c81-b0b8-8420270e82a3 -vnc :10 -boot c -cpu qemu64,+sse2 -smp 1 -m 2G -monitor stdio

It seems that block device's snapshot function is disabled by default.Appending "snapshot=on" after -drive will not hit this issue
eg.
/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=/home/win7_64,if=virtio,format=raw,boot=on,snapshot=on -net nic,macaddr=20:40:50:12:23:21,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid a2618d4c-21f0-4c81-b0b8-8420270e82a3 -vnc :10 -boot c -cpu qemu64,+sse2 -smp 1 -m 2G -monitor stdio

Comment 5 Mike Cao 2010-06-07 08:25:10 UTC
the Image in commandLine is raw format.

Comment 6 Mike Cao 2010-06-07 09:28:41 UTC
Savevm function is only supported by qcow2 format.


Note You need to log in before you can comment on or make changes to this bug.